﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductCatalogBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditProductCatalogBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table>                
                <tr>
                    <th style="width: 140px" ><asp:Localize runat="server" meta:resourceKey="Name" /></th>
                    <td><asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.Catalog.Name %>" OnDataBinding="NameTextBox_DataBinding" CssClass="mediumWidth" /></td>
                    <td>
						<asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Static" ErrorMessage="*" />
						<asp:CustomValidator runat="server" ControlToValidate="NameTextBox" OnServerValidate="UniqueName_ServerValidate" meta:resourceKey="UniqueNameValidator" />
					</td>
                </tr>
            </table>
        </div>
    </div>
</div> 

<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table>                
                <tr>
                    <th style="width: 140px;"><asp:Localize runat="server" meta:resourceKey="PriceGroup" /></th>
                    <td><asp:DropDownList runat="server" ID="PriceGroupDropDown" DataSource="<%# View.PriceGroups %>" DataTextField="Name" DataValueField="PriceGroupId" OnDataBound="PriceGroup_DataBound" CssClass="mediumWidth" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="ShowPricesWithVat" /></th>
                    <td><asp:CheckBox runat="server" ID="ShowPriceInclVatCheckBox" Checked="<%# View.Catalog.ShowPricesIncludingVAT %>" /></td>
                </tr>
            </table>
        </div>
    </div>
</div>            
<%--<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table>      
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="Inventory" /></th>
                    <td><asp:DropDownList runat="server" ID="InventoryDropDown" DataSource="<%# View.Inventories %>" DataTextField="Name" DataValueField="InventoryId" OnDataBound="Inventory_DataBound" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="EnableInventory" /></th>
                    <td><asp:CheckBox runat="server" ID="EnableInventoryCheckBox" Checked="<%# View.Catalog.InventoryEnabled %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="DisplayOutOfStockProducts" /></th>
                    <td><asp:CheckBox runat="server" ID="DisplayOutOfStockProductsCheckBox" Checked="<%# View.Catalog.DisplayOutOfStockProducts %>" /></td>
                </tr>
                <tr>    
                    <th><asp:Localize runat="server" meta:resourceKey="AllowOutOfStockProductOrder" /></th>
                    <td><asp:CheckBox runat="server" ID="AllowOutOfStockProductOrderCheckBox" Checked="<%# View.Catalog.AllowOutOfStockOrders %>" /></td>
                </tr>
            </table>
        </div>
    </div>
</div> --%>