﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductCatalogGroup.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditProductCatalogGroup1" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<!--<div style="text-align: left;"> -->
    <div class="propertypane leftAligned" style="padding: 10px">
        <div>
            <div class="propertyItem">
                <div class="propertyItemheader">
                    <asp:Localize runat="server" meta:resourceKey="Name" />
                </div>
                <div class="propertyItemContent">
                    <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.IsNew ? QueryString.Common.Name : View.ProductCatalogGroup.Name %>" CssClass="mediumWidth" />
                    <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Static" ErrorMessage="*" />
                </div>
            </div>            
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="Domain">
                <asp:DropDownList runat="server" ID="DomainDropDown" DataSource="<%# Domains %>" DataValueField="DomainId" DataTextField="DomainName" CssClass="mediumWidth"></asp:DropDownList>
            </umbracoUi:PropertyPanel>
    
            <div class="propertyItem">
                <div class="propertyItemheader">  
                    <asp:Localize runat="server" meta:resourceKey="Description" />
                </div>
                <div class="propertyItemContent">
                    <asp:TextBox runat="server" ID="DescriptionTextBox" Text="<%# View.ProductCatalogGroup.Description %>" TextMode="MultiLine" CssClass="mediumWidth smallHeight textArea" />
                </div>
            </div>
            <div class="propertyPaneFooter">-</div>
        </div>
    </div>
    <div class="propertypane leftAligned" style="padding: 10px">
        <div>
            <div class="propertyItem">
	            <div class="propertyItemheader">
                    <asp:Localize runat="server" meta:resourceKey="Currency" />      
                </div>
                <div class="propertyItemContent">
                    <asp:DropDownList runat="server" ID="CurrencyDropDownList" DataSource="<%# View.Currencies %>" DataValueField="CurrencyId" DataTextField="ISOCode" CssClass="mediumWidth" />
                </div>
            </div>
            <div class="propertyItem">
	            <div class="propertyItemheader">
                    <asp:Localize runat="server" meta:resourceKey="EmailProfile" />
                </div>
                <div class="propertyItemContent">
                    <asp:DropDownList runat="server" ID="EmailProfileDropDownList" DataSource="<%# View.EmailProfiles %>" DataValueField="EmailProfileId" DataTextField="Name" CssClass="mediumWidth" />
                </div>
            </div>            
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="OrderNumber">
                <asp:DropDownList runat="server" ID="OrderNumberDropDown" DataSource="<%# OrderNumberSeries %>" DataTextField="OrderNumberName" DataValueField="OrderNumberId" CssClass="mediumWidth"></asp:DropDownList>
            </umbracoUi:PropertyPanel>
            
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="CreateCustomersAsMembers">
                <asp:CheckBox runat="server" ID="CreateCustomersAsMembers" Checked="<%# View.ProductCatalogGroup.CreateCustomersAsUmbracoMembers %>" />
            </umbracoUi:PropertyPanel>
            
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="MemberGroup">
                <asp:DropDownList runat="server" ID="MemberGroupDropDown"  DataSource="<%# MemberGroups %>" DataValueField="Id" DataTextField="Text" CssClass="mediumWidth" />
            </umbracoUi:PropertyPanel>
            
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="MemberType">
                <asp:DropDownList runat="server" ID="MemberTypeDropDown" DataSource="<%# MemberTypes %>" DataValueField="Id" DataTextField="Text" CssClass="mediumWidth" />
            </umbracoUi:PropertyPanel>
        </div>
        <div class="propertyPaneFooter">-</div>
    </div>
<!--</div> -->