﻿<%@ Import Namespace="UCommerce.Entities "%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductVariants.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditProductVariants" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<script type="text/javascript">
    function confirm_delete()
    {
      return (confirm('<%# GetLocalResourceObject("ConfirmVariantDelete").ToString() %>')==true)
    }
</script>

<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table style="width: 100%">
                <tr>
                    <th></th>
                    <td>
                        <commerce:BulkEditGridView BulkEdit="true" runat="server" ID="VariantsGridView" DataSource="<%# Variants %>" ShowHeader="true" DataKeyNames="ProductId" AutoGenerateColumns="false" GridLines="None" >
                            <columns>
                               <asp:TemplateField>
                                <EditItemTemplate>
                                    <asp:PlaceHolder runat="server" Visible="<%# ((Product)Container.DataItem).ProductId > 0 %>">
                                        <a href="#" onclick="top.openModal('/umbraco/ucommerce/catalog/dialogs/editvariantprices.aspx?id=<%# ((Product)Container.DataItem).ProductId %>', 'Edit Prices', 320,500); return false;"><img src="/umbraco/ucommerce/Images/price.png" alt="Edit prices" /></a>
                                        <a href="#" onclick="top.openModal('/umbraco/ucommerce/catalog/dialogs/editvariantdescription.aspx?id=<%# ((Product)Container.DataItem).ProductId %>', 'Edit Description', 475,500); return false;"><img src="/umbraco/ucommerce/Images/note_edit.png" alt="Edit description" /></a>
                                        <asp:ImageButton runat="server" ImageUrl="/umbraco/ucommerce/images/delete.png" CommandArgument="<%# ((Product)Container.DataItem).ProductId %>" CommandName="Delete" AlternateText="Delete" OnClientClick="return confirm_delete();" />
                                    </asp:PlaceHolder>
                                </EditItemTemplate>
                               </asp:TemplateField>                              
                                <asp:TemplateField meta:resourceKey="SkuHeader" HeaderText="Variant SKU" ControlStyle-Width="50px">
                                    <EditItemTemplate>
                                        <asp:HiddenField runat="server" ID="ProductIdHiddenField" Value="<%# ((Product)Container.DataItem).ProductId %>" />
                                        <asp:TextBox runat="server" ID="VariantSkuTextBox" Text="<%# ((Product)Container.DataItem).VariantSku %>" MaxLength="30" />
                                        <asp:RequiredFieldValidator runat="server" ControlToValidate="VariantSkuTextBox" Display="Dynamic" ErrorMessage="*" Enabled="<%# !((Product)Container.DataItem).IsNew() %>" />
                                    </EditItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField meta:resourceKey="NameHeader" HeaderText="Name" ControlStyle-Width="100px">
                                    <EditItemTemplate>                                          
                                        <asp:TextBox runat="server" ID="NameTextBox" Text="<%# ((Product)Container.DataItem).Name%>"  />
                                        <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Dynamic" ErrorMessage="*" Enabled="<%# !((Product)Container.DataItem).IsNew() %>" />
                                    </EditItemTemplate>
                                </asp:TemplateField>
                            </columns>
                        </commerce:BulkEditGridView>          
                    </td>
                </tr>             
            </table>
            <%--<input type="button" value="Click me" onclick="top.openModal('developer/macros/assemblyBrowser.aspx?fileName=/usercontrols/CategoryList.ascx&macroID=2', 'Browse Properties', 475,500); return false;" />--%>
        </div>
    </div>
</div> 