﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductRelationTypeBaseProperties.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Settings.Catalog.EditProductRelationTypeBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary ID="ValidationSummary1" runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize ID="Localize1" runat="server" meta:resourceKey="Name" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.IsNew ? QueryString.Common.Name : View.ProductRelationType.Name %>" CssClass="mediumWidth" />
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="NameTextBox" ErrorMessage="*" />
                <asp:CustomValidator ID="CustomValidator1" runat="server" ErrorMessage="*" OnServerValidate="NameValidator_ServerValidate" />
            </div>
        </div>
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize ID="Localize2" runat="server" meta:resourceKey="Description" />                    
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="DescriptionTextBox" Text="<%# View.ProductRelationType.Description %>" TextMode="MultiLine" CssClass="mediumWidth smallHeight" />
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize ID="Localize3" runat="server" meta:resourceKey="LastModifiedOn" />                    
            </div>
            <div class="propertyItemContent">
                <asp:Label ID="Label1" runat="server" Text="<%# View.IsNew ? String.Empty : View.ProductRelationType.ModifiedOn.ToString() %>" />
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize ID="Localize4" runat="server" meta:resourceKey="LastModifiedBy" />      
            </div>
            <div class="propertyItemContent">
                <%# View.ProductRelationType.ModifiedBy %>
            </div>
        </div>        
    </div>
    <div class="propertyPaneFooter">-</div>
</div>

