﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditEmailProfileContent.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Email.EditEmailProfileContent" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoTreePicker.ascx" TagPrefix="ucommerce" TagName="TreePicker" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Subject" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="SubjectTextBox" Text="<%# EmailContent.Subject %>" CssClass="largeWidth" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="SubjectTextBox" ErrorMessage="!" />
            </div>
        </div>        
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize ID="Localize1" runat="server" meta:resourceKey="ContentSelector" /><br />
                <small><asp:Localize ID="Localize2" runat="server" meta:resourceKey="ContentSelectorDescription" />
                    <%# EmailContent.EmailType.Description %>
                </small>
            </div>
            <div class="propertyItemContent">
                <ucommerce:TreePicker runat="server" ID="ContentPicker" Source="Content" SelectedValue="<%# EmailContent.ContentId %>" />      
            </div>
        </div>        
    </div>
    <div class="propertyPaneFooter">-</div>
</div>