﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditEmailProfileTypeInformation.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Email.EditEmailProfileTypeInformation" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="FromName" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="FromNameTextBox" Text="<%# View.EmailProfileInformation.FromName %>" CssClass="mediumWidth" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="FromNameTextBox" ErrorMessage="*" />
            </div>
        </div>
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="FromAddress" />                    
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="FromAddressTextBox" Text="<%# View.EmailProfileInformation.FromAddress %>" CssClass="mediumWidth" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="FromAddressTextBox" ErrorMessage="*" />
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="CcAddress" />      
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="CcAddressTextBox" Text="<%# View.EmailProfileInformation.CcAddress %>" CssClass="mediumWidth" />
            </div>
        </div>        
        <div class="propertyItem">
	        <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="BccAddress" />      
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="BccAddressTextBox" Text="<%# View.EmailProfileInformation.BccAddress %>" CssClass="mediumWidth" />
            </div>
        </div>        
    </div>
    <div class="propertyPaneFooter">-</div>
</div>