﻿<%@ Import Namespace="UCommerce.Presentation.Web" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditPaymentMethodBaseProperties.ascx.cs"
	Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Orders.EditPaymentMethodBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoMediaPickerProxy.ascx" TagPrefix="ucommerce"
	TagName="MediaPickerProxy" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoTreePicker.ascx" TagPrefix="ucommerce"
	TagName="MediaPicker" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce"
	TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
	<div>
		<div class="propertyItem">
			<div class="propertyItemheader">
				<asp:Localize runat="server" meta:resourceKey="Name" />
			</div>
			<div class="propertyItemContent">
				<asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.IsNew ? QueryString.Common.Name : View.PaymentMethod.Name %>"
					CssClass="mediumWidth" />
				<asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" ErrorMessage="*" />
				<asp:CustomValidator runat="server" ErrorMessage="*" OnServerValidate="NameValidator_ServerValidate" />
			</div>
		</div>
		<div class="propertyItem">
			<div class="propertyItemheader">
				<asp:Localize runat="server" meta:resourceKey="PaymentMethodService" />
			</div>
			<div class="propertyItemContent">
				<asp:DropDownList runat="server" ID="PaymentMethodServiceDropDownList" DataSource="<%# View.PaymentMethodServices %>"
					DataMember="Name" DataTextField="Name" />
			</div>
		</div>
	</div>
	<div class="propertyPaneFooter">
	-</div>
</div>
<div class="propertypane leftAligned" style="padding: 10px">
	<div>
		<div class="propertyItem">
			<div class="propertyItemheader">
				<asp:Localize ID="Localize1" runat="server" meta:resourceKey="Image" />
			</div>
			<div class="propertyItemContent">
				<ucommerce:MediaPicker runat="server" ID="ImageSelector" SelectedValue="<%# View.PaymentMethod.ImageMediaId %>"
					CssClass="mediumWidth" />
			</div>
		</div>		
	</div>
	<div class="propertyPaneFooter">
	-</div>
</div>
<div class="propertypane leftAligned" style="padding: 10px">
	<div>
		<div class="propertyItem">
			<div class="propertyItemheader">
				<asp:Localize runat="server" meta:resourceKey="Enabled" />
			</div>
			<div class="propertyItemContent">
				<asp:CheckBox runat="server" ID="EnabledCheckBox" Checked="<%# View.PaymentMethod.Enabled %>" />
			</div>
			<div class="propertyItem">
				<div class="propertyItemheader">
					<asp:Localize runat="server" meta:resourceKey="LastModified" />
				</div>
				<div class="propertyItemContent">
					<%= View.PaymentMethod.ModifiedOn %>
				</div>
			</div>
			<div class="propertyItem">
				<div class="propertyItemheader">
					<asp:Localize runat="server" meta:resourceKey="LastModifiedBy" />
				</div>
				<div class="propertyItemContent">
					<%= View.PaymentMethod.ModifiedBy %>
				</div>
			</div>
		</div>
	</div>
	<div class="propertyPaneFooter">
	-</div>
</div> 