﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditShippingMethodBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Orders.EditShippingMethodBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoMediaPickerProxy.ascx" TagPrefix="ucommerce" TagName="MediaPickerProxy" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoTreePicker.ascx" TagPrefix="ucommerce" TagName="MediaPicker" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/UmbracoTreePicker.ascx" TagName="TreePicker" TagPrefix="ucommerce" %>

<commerce:ValidationSummary  runat="server" />
<%--<ucommerce:MediaPickerProxy runat="server" />--%>
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table style="width: 100%">
                <tr>
                    <th class="smallWidth"><asp:Localize runat="server" meta:resourceKey="Name" /></th>
                    <td>
                        <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.IsNew ? QueryString.Common.Name : View.ShippingMethod.Name %>" CssClass="mediumWidth" />
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" ErrorMessage="*" />
                    </td>
                </tr>            
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="PaymentMethod" /></th>
                    <td><asp:DropDownList runat="server" ID="PaymentMethodDropDown" DataSource="<%# View.PaymentMethods %>" DataValueField="PaymentMethodId" DataTextField="Name" CssClass="mediumWidth" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="ShippingMethodCalculator" /></th>
                    <td><asp:DropDownList runat="server" ID="ShippingMethodCalculatorDropDown" DataSource="<%# View.ShippingMethodServices %>" DataValueField="Name" DataTextField="Name" CssClass="mediumWidth" /></td>
                </tr>
            </table>
        </div>
    </div>
</div>
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table style="width: 100%">
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="Image" /></th>                    
                    <td><ucommerce:TreePicker runat="server" Source="Media" ID="ImagePicker" SelectedValue="<%# View.ShippingMethod.ImageMediaId %>" EnableViewState="true" /></td>
                </tr>
            </table>
        </div>
    </div>
</div>