﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductTop10.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Analytics.ProductTop10" %>
<div class="propertyPane leftAligned" style="padding: 10px">
	<asp:DropDownList id="ProductCatalogGroupDropDownList" runat="server" DataTextField="Name" DataValueField="ProductCatalogGroupId" />
	<asp:Button id="ReportButton" runat="server" meta:resourcekey="ReportButton" />
</div>
<div class="propertyPane leftAligned" style="padding: 10px">          
    <asp:Repeater runat="server" ID="ProductTop10Repeater">
        <HeaderTemplate>
			<div style="margin: 10px; background-color: White; border: solid 1px gray;">
				<table class="dataList"  cellspacing="0" width="100%">
					<tr class="headerRow">
						<td style="text-align:left;"><asp:Localize ID="Localize2" runat="server" meta:resourceKey="SKU" /></td>
						<td style="text-align:left;"><asp:Localize ID="Localize3" runat="server" meta:resourceKey="ProductName" /></td>
						<td style="text-align:right;"><asp:Localize ID="Localize4" runat="server" meta:resourceKey="TotalSales" /></td>
						<td style="text-align:right;"><asp:Localize ID="Localize1" runat="server" meta:resourceKey="Currency" /></td>
						<td style="text-align:right;"><asp:Localize ID="Localize5" runat="server" meta:resourceKey="TotalRevenue" /></td>
					</tr>
        </HeaderTemplate>
        <ItemTemplate>
					<tr class="contentRow">
						<td style="width: 150px;padding-right: 15px"><%# DataBinder.Eval(Container.DataItem, "SKU") %></td>
						<td style="width: 50px; padding-right: 15px"><%# DataBinder.Eval(Container.DataItem, "ProductName")%></td>
						<td style="width: 150px; text-align:right;"><%# DataBinder.Eval(Container.DataItem, "TotalSales") %></td>
						<td style="width: 150px; text-align:right;"><%# DataBinder.Eval(Container.DataItem, "Currency")%></td>
						<td style="width: 80px; text-align:right;"> <%# DataBinder.Eval(Container.DataItem, "TotalRevenue") %></td>
					</tr>
        </ItemTemplate>
        <FooterTemplate>
				</div>
            </table>
        </FooterTemplate>
    </asp:Repeater>
</div>