﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CreateProductCatalogGroup.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.CreateProductCatalogGroup" %>

Name:
<asp:TextBox runat="server" ID="NameTextBox" CssClass="bigInput" Width="350px"/>
<asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" CssClass="bigInput" Display="Dynamic" ErrorMessage="Please enter a name" Width="100%" />
<asp:CustomValidator runat="server" 
        ID="UniqueNameValidator" 
        Display="Dynamic"
        CssClass="bigInput"
        ErrorMessage="The selected name is already in use" 
        Width="100%" 
        OnServerValidate="UniqueNameValidator_ServerValidate"/>
    
    
<asp:CustomValidator runat="server" ID="CustomValidator1"
    CssClass="bigInput"
    Display="Dynamic"
    ErrorMessage="Your license does not allow you to create any more"
    Width="100%"
    OnServerValidate="LicenseCheckValidator_ServerValidate"></asp:CustomValidator>
        
<div style="padding-top: 25px">
    <asp:Button runat="server" ID="CreateButton" Width="90px" Text="Create" OnClick="CreateButton_Clicked" />
    <em>or</em>
    <a onclick="top.closeModal();" style="color: blue; cursor: hand">Cancel</a>    
</div>
