﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditOrderShipments.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Orders.EditOrderShipments" %>
<umbracoUi:Pane runat="server" meta:resourceKey="Payments">

    <asp:Repeater runat="server" ID="PaymentRepeater" DataSource="<%# Payments %>">

        <ItemTemplate>

            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="PaymentMethod">

                <%# AsPayment(Container.DataItem).PaymentMethodName %>

            </umbracoUi:PropertyPanel>

            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="TransactionID">

                <%# AsPayment(Container.DataItem).TransactionId %>

            </umbracoUi:PropertyPanel>

        </ItemTemplate>

    </asp:Repeater>

</umbracoUi:Pane>



<umbracoUi:Pane runat="server" meta:resourceKey="Shipments">

    <asp:Repeater runat="server" ID="ShipmentRepeater" DataSource="<%# Shipments %>">

        <ItemTemplate>

            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="ShippingMethod">

                <%# AsShipment(Container.DataItem).ShipmentName %>

            </umbracoUi:PropertyPanel>

            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="TrackAndTrace">

                <%# AsShipment(Container.DataItem).TrackAndTrace %>

            </umbracoUi:PropertyPanel>

            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="Notes">

                <%# AsShipment(Container.DataItem).DeliveryNote %>

            </umbracoUi:PropertyPanel>            

        </ItemTemplate>

    </asp:Repeater>

</umbracoUi:Pane>



<umbracoUi:Pane ID="Pane3" runat="server" meta:resourceKey="Addresses">

    <asp:Repeater runat="server" ID="AddressRepeater" DataSource="<%# Addresses %>">

        <ItemTemplate>

            <umbracoUi:PropertyPanel ID="PropertyPanel6" runat="server" Text="<%# AsAddress(Container.DataItem).AddressName %>">

                <div><%# AsAddress(Container.DataItem).CompanyName %></div>

                <div><%# AsAddress(Container.DataItem).Line1 %></div>

                <div><%# AsAddress(Container.DataItem).Line2 %></div>

                <div><%# AsAddress(Container.DataItem).PostalCode %>&nbsp;<%# AsAddress(Container.DataItem).City %></div>

                <div><%# AsAddress(Container.DataItem).State %></div>

                <div><%# GetCountryName(AsAddress(Container.DataItem).CountryId) %></div>

                <div><%# AsAddress(Container.DataItem).Attention %></div>                

            </umbracoUi:PropertyPanel>

        </ItemTemplate>

    </asp:Repeater>

</umbracoUi:Pane>