﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductDefinitionBaseProperties.ascx.cs"
	Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Catalog.EditProductDefinitionBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce"
	TagName="ValidationSummary" %>
<commerce:ValidationSummary ID="ValidationSummary1" runat="server" />
<div style="text-align: left;">
	<div class="propertyPane leftAligned" style="padding: 10px">
		<div>
			<table style="width: 100%">
				<tr>
					<th style="width: 150px;">
						<asp:Localize runat="server" meta:resourceKey="Name" />
					</th>
					<td>
						<asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.ProductDefinition.Name %>"
							Width="100%" />
					</td>
					<td>
						<asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Static"
							ErrorMessage="*" />
						<asp:CustomValidator runat="server" ErrorMessage="*" OnServerValidate="NameValidator_ServerValidate" />
					</td>
				</tr>
				<tr>
					<th style="width: 150px;">
						<asp:Localize runat="server" meta:resourceKey="ProductFamily" />
					</th>
					<td>
						<asp:CheckBox runat="server" ID="ProductFamilyCheckBox" Enabled="false" Checked="<%# View.ProductDefinition.IsProductFamily() %>" />
					</td>
				</tr>
				<tr>
					<th style="width: 150px;">
						<asp:Localize runat="server" meta:resourceKey="Description" />
					</th>
					<td>
						<asp:TextBox runat="server" ID="DescriptionTextBox" Text="<%# View.ProductDefinition.Description %>"
							Width="100%" />
					</td>
				</tr>
			</table>
		</div>
	</div>
</div>
<asp:Panel id="UpdateTreeScriptPanel" visible="false" runat="server">

	<script type="text/javascript">
		$(document).ready(function() {
			$('#tree', top.document).contents().find('.webfx-tree-item .selected').text('<asp:Literal runat="server" id="TreeNameLiteral" />');
		});
	</script>

</asp:Panel>
